@charset "UTF-8";

[class*=_icon-]:before {
  font-family: "Icons";
  font-style: normal;
  font-weight: normal;
  font-variant: normal;
  text-transform: none;
  line-height: 1;
  -webkit-font-smoothing: antialiased;
  -moz-osx-font-smoothing: grayscale;
}

[class*=_icon-]:before {
  display: block;
}

._icon-globe:before {
  content: "\e900";
}

._icon-palette:before {
  content: "\e901";
}

._icon-user:before {
  content: "\e902";
}

._icon-xmark:before {
  content: "\e903";
}

._icon-calendar-days:before {
  content: "\e904";
}

._icon-angle-down:before {
  content: "\e905";
}

@font-face {
  font-family: Roboto;
  font-display: swap;
  src: url("../fonts/roboto-v30-latin_cyrillic-500.woff2") format("woff2"), url("../fonts/roboto-v30-latin_cyrillic-500.woff") format("woff");
  font-weight: 500;
  font-style: normal;
}

@font-face {
  font-family: Roboto;
  font-display: swap;
  src: url("../fonts/roboto-v30-latin_cyrillic-700.woff2") format("woff2"), url("../fonts/roboto-v30-latin_cyrillic-700.woff") format("woff");
  font-weight: 700;
  font-style: normal;
}

@font-face {
  font-family: Roboto;
  font-display: swap;
  src: url("../fonts/roboto-v30-latin_cyrillic-regular.woff2") format("woff2"), url("../fonts/roboto-v30-latin_cyrillic-regular.woff") format("woff");
  font-weight: 400;
  font-style: normal;
}

* {
  padding: 0;
  margin: 0;
  border: 0;
}

*,
*:before,
*:after {
  box-sizing: border-box;
}

html {
  font-size: 10px;
}

html,
body {
  height: 100%;
  min-width: 300px;
}

body {
  color: #000;
  line-height: 1;
  font-family: "Roboto", sans-serif;
  font-size: 1.4rem;
  -ms-text-size-adjust: 100%;
  -moz-text-size-adjust: 100%;
  -webkit-text-size-adjust: 100%;
  -webkit-font-smoothing: antialiased;
  -moz-osx-font-smoothing: grayscale;
}

input,
button,
textarea {
  font-family: "Roboto", sans-serif;
  font-size: inherit;
}

button {
  cursor: pointer;
  color: inherit;
  background-color: inherit;
}

a {
  color: inherit;
}

a:link,
a:visited {
  text-decoration: none;
}

a:hover {
  text-decoration: none;
}

ul li {
  list-style: none;
}

img {
  vertical-align: top;
}

h1,
h2,
h3,
h4,
h5,
h6 {
  font-weight: inherit;
  font-size: inherit;
}

.lock body {
  overflow: hidden;
  touch-action: none;
}

.wrapper {
  min-height: 100%;
  display: flex;
  flex-direction: column;
  overflow: hidden;
}

.wrapper > main {
  flex: 1 1 auto;
}

.wrapper > * {
  min-width: 0;
}

/* Стили будут применяться ко
всем классам содержащим *__container
Например header__container, main__container и т.д.
Снипет (HTML): cnt
*/

[class*=__container] {
  max-width: 100rem;
  box-sizing: content-box;
  margin: 0 auto;
  padding: 0 1rem;
}

.burger-icon {
  display: block;
  position: relative;
  flex: 0 0 30px;
  height: 2rem;
  cursor: pointer;
  z-index: 10;
}

.burger-icon span,
.burger-icon::before,
.burger-icon::after {
  content: "";
  transition: all 0.3s ease 0s;
  right: 0;
  position: absolute;
  width: 100%;
  height: 0.3rem;
  background-color: #000;
}

.burger-icon::before {
  top: 0;
}

.burger-icon::after {
  bottom: 0;
}

.burger-icon span {
  top: calc(50% - 0.1rem);
}

.burger-open .burger-icon span {
  width: 0;
}

.burger-open .burger-icon::before {
  top: calc(50% - 0.1rem);
  transform: rotate(-135deg);
}

.burger-open .burger-icon::after {
  bottom: calc(50% - 0.1rem);
  transform: rotate(135deg);
}

.shv-table {
  border-collapse: collapse;
  width: 100%;
}

.t-border-row > tbody > tr:not(:last-of-type) > * {
  border-bottom: 1px solid #603587;
}

.t-border-col > tbody > tr:not(:last-of-type) > * {
  border-right: 1px solid #000;
}

.t-striped > tbody > tr:nth-child(odd) > * {
  background-color: #f2f2f2;
}

.t-hover > tbody > tr:hover > * {
  background-color: #fff4b6;
}

.wrapper {
  background-color: #FFF;
}

.page-title {
  background-color: #603587;
  padding: 1rem;
  display: flex;
  justify-content: center;
}

.page-title__caption {
  color: #FFF;
  font-size: 1.6rem;
  font-weight: 700;
}

.header {
  background-color: #ebf0f1;
}

.header__container {
  display: flex;
  align-items: center;
  justify-content: space-between;
  height: 6rem;
}

.header__logo {
  z-index: 10;
}

.header__logo > img {
  height: 4rem;
  -o-object-fit: contain;
     object-fit: contain;
  display: inline-block;
}

.header__caption {
  text-align: center;
  flex: 1 1 auto;
  z-index: 10;
}

.header__menu {
  width: 3rem;
}

.header-caption__title {
  font-size: 1.8rem;
}

.header-caption__date {
  font-size: 1.5rem;
}

.menu {
  z-index: 2;
  position: relative;
  display: flex;
}

.menu__nav-wrapper {
  z-index: 1;
  opacity: 0;
  visibility: hidden;
  position: fixed;
  top: 0;
  left: 0;
  width: 100vw; /*%;*/
  height: calc(var(--vh100, 100vh) * 100);
  max-height: 100dvh;
  background-color: #ebf0f1;
  transition: opacity 0.2s ease-in-out, visibility 0.3s ease-in-out;
  padding-top: 6rem;
  padding-bottom: 2rem;
}

.burger-open .menu__nav-wrapper {
  opacity: 1;
  visibility: visible;
  z-index: 1;
}

.menu__nav {
  height: 100%;
  overflow: auto;
}

.menu__item {
  margin-bottom: 0.5rem;
}
.menu__item_schedule {
  margin-bottom: 1rem;
}
.menu__item_mode {
  margin-top: 2rem;
}



.menu__link {
  display: flex;
  justify-content: space-between;
  align-items: center;

  gap: 1rem;
  font-size: 1.6rem;
  font-weight: 500;
  background-color: #603587;
  color: #FFF;
  /*line-height: 1;*/
  padding: 1.25rem;
  border-radius: 5px;
  transition: color 0.2s ease-in-out;
}

.menu__item_mode-link {
	background-color: #555555;
}

.menu__group-name {
  flex: 1 1 auto;
}

.menu__update-time {
  font-size: 1.1rem;
  font-weight: 400;
  color: #fff4b6;
  flex: 0 0 auto;
  text-align: right;
}

.footer {
  background-color: #ebf0f1;
}

.footer-bottom__container {
  display: flex;
  justify-content: space-between;
  align-items: center;
}
.footer-bottom__mode {
  /*height: 100%;*/
  padding: 0.5rem;
}

.footer__r-info {
  font-size: 1rem;
  font-style: italic;
  text-align: right;
  padding: 0.5rem 0;
}

.section {
  text-align: center;
  padding: 1rem;
}

.section__caption {
  font-size: 1.8rem;
  font-weight: 700;
}

.heads__title-row {
  background-color: #603587;
  color: #FFF;
}

.heads__row {
  border-bottom: 1px solid #603587;
}

.heads__couple {
  /*max-width: 8rem;
  width: 15%;*/
	max-width: 8rem;
	width: 7rem;
  text-align: center;
  padding: 0.5rem;
  font-weight: 700;
  border-right: 1px solid #603587;
}

.heads__dance {
/*  width: 8%;*/
  text-align: center;
}

.heads__cpl-list {
  padding: 0.5rem;
  display: flex;
  gap: 0.5rem;
  /*justify-content: space-around;*/
  flex-wrap: wrap;
}
.heads__cpl-list_item {
  width: 3.5rem;
  text-align: right;
}
.heads__cpl-tracking {
  color: #c50000;
  font-weight: 700;
  /*background-color: #b4ffab;*/
}
.results__title-row {
  background-color: #603587;
  color: #FFF;
}

.results__title-row > th {
  padding: 0.5rem;
  font-weight: 400;
}

.results__row {
  border-bottom: 1px solid #603587;
}

.results__row > td {
  padding: 0.5rem;
}

.results__place {
  text-align: center;
  font-weight: 700;
  width: 10%;
  min-width: 60px;
  border-right: 1px solid #603587;
}
.results__no {
  text-align: center;
  font-weight: 700;
  width: 10%;
  min-width: 40px;
  border-right: 1px solid #603587;
}

.results__participant {
  width: 100%;
  display: flex;
  -moz-column-gap: 1rem;
       column-gap: 1rem;
  justify-content: space-between;
}

.results__couple {
  flex: 1 1 auto;
}

.results__info {
  text-align: right;
  font-size: 1.3rem;
  font-style: italic;
  flex: 0 0 30%;
}

.section__info {
  padding-top: 0.5rem;
}
.info-round {
  color: #603587;
  font-weight: 700;
}

@media (max-width: 699.98px) {
  .results__participant {
    flex-direction: column;
  }
}

.schedule {

}
.schedule__wrapper {
  display: flex;
  align-items: center;
  justify-content: center;
}

.schedule__wrapper > img {
  max-width: 100%;
}
.section__form {
  display: flex;
  justify-content: center;
}
/*.tracking {*/
/*  display: flex;*/
/*  justify-content: center;*/
/*}*/
.tracking__form {
  max-width: 400px;
  width: 100%;
}
.form__fld {
  width: 100%;
  padding-top: 1rem;
}
.form__label {
  display: inline-block;
  flex: 0 0 auto;
  padding-bottom: 0.5rem;
}
.input {
  -webkit-appearance: none;
  -moz-appearance: none;
  appearance: none;
  outline: none;
  width: 100%;
  display: block;
  padding: 0.4rem 1rem;
  background-color: #FEFEFE;
  border: 1px solid #603588;
  border-radius: 5px;
  font-weight: 500;
  color: black;
}
.input:focus {
  color: #603588;
  outline: 1px solid #603588;
}
.input::-moz-placeholder {
  font-size: 0.8em;
  font-weight: 400;
  color: #727d84;
}

.input::placeholder {
  font-size: 0.8em;
  font-weight: 400;
  color: #727d84;
}

.shvBtn {
  --btn-def-color: #603588;
  --btn-def-bg-hover: rgb(127.8, 93.4, 159.8);
  --btn-font: #FEFEFE;
  --btn-bg: var(--btn-def-color);
  --btn-font-active: rgb(76.8, 42.4, 108.8);
  --btn-bg-active: rgb(207.3, 194.4, 219.3);
  --btn-border-active: #603588;
  --btn-border: transparent;
  --btn-font-hover: #FEFEFE;
  --btn-bg-hover: var(--btn-def-bg-hover);
  --btn-border-hover: transparent;
  display: inline-block;
  padding: 0.5rem 1rem;
  text-align: center;
  vertical-align: middle;
  line-height: 1.2;
  cursor: pointer;
  -webkit-user-select: none;
  -moz-user-select: none;
  user-select: none;
  color: var(--btn-font);
  background-color: var(--btn-bg);
  border: 2px solid var(--btn-border);
  border-radius: 0.5rem;
  transition: color 0.15s ease-in-out, background-color 0.15s ease-in-out, border-color 0.15s ease-in-out, box-shadow 0.15s ease-in-out;
}

.shvBtn._active {
  color: var(--btn-font-active);
  background-color: var(--btn-bg-active);
  border-color: var(--btn-border-active);
}

.shvBtn:hover {
  color: var(--btn-font-hover);
  background-color: var(--btn-bg-hover);
  border-color: var(--btn-border-hover);
}

.shvBtn:focus {
  color: var(--btn-font-hover);
  background-color: var(--btn-bg-hover);
  border-color: var(--btn-border-hover);
  outline: 0;
}

